当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : kchmviewer4.0安装失败
帖子发表于 : 2009-02-24 17:27 

注册: 2007-10-14 0:11
帖子: 274
送出感谢: 0 次
接收感谢: 0 次
因为安装的kchmviewer3.1直接双击打开文件路径中有中文字符的chm文件时提示无法打开,很不爽,所以就去官网看了下,发现有4.0版本。按照安装提示,先执行qmake。由于之前没有安装,就安装了提示缺少的两个包。之后提示缺少chm_lib.h,又将libchm.dev给安装上去了。qmake执行完毕后,继续最后一步make.却出现了错误。提示如下:

代码:
boluor@boluor-laptop:~/Downloads/kchmviewer-4.0$ qmake
boluor@boluor-laptop:~/Downloads/kchmviewer-4.0$ make
cd lib && make -f Makefile
make[1]: 正在进入目录 `/home/boluor/Downloads/kchmviewer-4.0/lib'
cd libchmfile/ && make -f Makefile
make[2]: 正在进入目录 `/home/boluor/Downloads/kchmviewer-4.0/lib/libchmfile'
make[2]: 没有什么可以做的为 `first'。
make[2]:正在离开目录 `/home/boluor/Downloads/kchmviewer-4.0/lib/libchmfile'
make[1]:正在离开目录 `/home/boluor/Downloads/kchmviewer-4.0/lib'
cd src && make -f Makefile
make[1]: 正在进入目录 `/home/boluor/Downloads/kchmviewer-4.0/src'
/usr/share/qt3/bin/uic tab_contents.ui -o tab_contents.h
uic: File generated with too recent version of Qt Designer (4.0 vs. 3.3.8b)
make[1]: *** [tab_contents.h] 错误 1
make[1]:正在离开目录 `/home/boluor/Downloads/kchmviewer-4.0/src'
make: *** [sub-src] 错误 2



页首
 用户资料  
 
2 楼 
 文章标题 : Re: kchmviewer4.0安装失败
帖子发表于 : 2009-02-24 18:55 
头像

注册: 2007-10-23 12:54
帖子: 1688
送出感谢: 0 次
接收感谢: 13
看起来是开发包装的版本不对,你不会装的 Qt3 开发包吧。另外就我编译的结果看,4.0 正文部分的编码识别还有问题。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: kchmviewer4.0安装失败
帖子发表于 : 2009-02-24 21:04 

注册: 2007-10-14 0:11
帖子: 274
送出感谢: 0 次
接收感谢: 0 次
装的是qt4-dev啊。kchmviewer源里面的还是比较旧的版本,不知道啥时候更新。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:wnyh 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译